OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.VertexType2101010RevCore

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBVertexType2101010Rev :: MonadIO m => m Bool
- gl_ARB_vertex_type_2_10_10_10_rev :: Bool
- gl_INT_2_10_10_10_REV :: GLenum
- gl_UNSIGNED_INT_2_10_10_10_REV :: GLenum
- glVertexAttribP1ui :: MonadIO m => GLuint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexAttribP1uiv :: MonadIO m => GLuint -> GLenum -> GLboolean -> Ptr GLuint -> m ()
- glVertexAttribP2ui :: MonadIO m => GLuint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexAttribP2uiv :: MonadIO m => GLuint -> GLenum -> GLboolean -> Ptr GLuint -> m ()
- glVertexAttribP3ui :: MonadIO m => GLuint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexAttribP3uiv :: MonadIO m => GLuint -> GLenum -> GLboolean -> Ptr GLuint -> m ()
- glVertexAttribP4ui :: MonadIO m => GLuint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexAttribP4uiv :: MonadIO m => GLuint -> GLenum -> GLboolean -> Ptr GLuint -> m ()

# Extension Support

glGetARBVertexType2101010Rev :: MonadIO m => m Bool

Is the ARB_vertex_type_2_10_10_10_rev extension supported?

gl_ARB_vertex_type_2_10_10_10_rev :: Bool

Is the ARB_vertex_type_2_10_10_10_rev extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBVertexType2101010Rev` in those cases instead.

# Enums

gl_INT_2_10_10_10_REV :: GLenum

gl_UNSIGNED_INT_2_10_10_10_REV :: GLenum

# Functions

glVertexAttribP1ui

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> GLuint | `value`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribP1uiv

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> Ptr GLuint | `value` pointing to `1` element of type `GLuint`.
-> m () |

glVertexAttribP2ui

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> GLuint | `value`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribP2uiv

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> Ptr GLuint | `value` pointing to `1` element of type `GLuint`.
-> m () |

glVertexAttribP3ui

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> GLuint | `value`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribP3uiv

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> Ptr GLuint | `value` pointing to `1` element of type `GLuint`.
-> m () |

glVertexAttribP4ui

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> GLuint | `value`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glVertexAttribP4uiv

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLenum | `type`.
-> GLboolean | `normalized` of type Boolean.
-> Ptr GLuint | `value` pointing to `1` element of type `GLuint`.
-> m () |